<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <form @submit.prevent="submitForm()">
            <p v-if="errors.length">
                <b>Please Correct the Following errors :</b>
                <ul>
                    <li v-for="error in errors">{{ error }}</li>
                </ul>
            </p>
            <table border=1>
                <tr>
                    <td>
            <label>Nama : </label>
                </td>
                    <td>
            <input type="text" name="name" ref="name" v-model="name">
                </td>
                <td>
            <label>Address : </label>
        </td>
        <td>
            <textarea name="address" ref="address" v-model="address"></textarea>
        </td>
        <td>
            <label>No Hp</label>
        </td>
        <td>
            <input type="number" name="no_hp" ref="no_hp" v-model="no_hp">
        </td>
        <td>
            <input type="submit" value="submit">
        </td>
        </form>

       <br>

        <table border=1>
            <tr>
                <td>
                    <b>Nama : </b> "Test Nama" <br>
                    <b>Alamat : </b> "test alamat" <br>
                    <b>No Handphone :</b> " 1202542414" <br>
                </td>
            

            <td>
                <button>Edit</button>
                <button>Hapus</button>
            </td>
        </tr>
        </table>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script>
        var vm = new Vue ({
            el: '#app',
            data: {
                name: '',
                address: '',
                no_hp: '',
                errors: [],
                Members: [],
            },

            methods: {
                submitForm: function(){
                    this.errors = []

                    if(this.name.length < 3){
                        this.errors.push('Nama minimal 3 karakter')
                        this.$refs.name.focus()
        
                    }else if(this.address.length < 5){
                        this.errors.push('Alamat minimal 5 karakter')
                        this.$refs.address.focus()

                    }else if(this.no_hp.length > 13){
                        this.errors.push('No Telepon tidak boleh lebih dari 13 angka')
                        this.$refs.no_hp.focus()
                    }
                    if(this.errors.length ===0 ){
                        alert('Terimakasih anda telah mengisi data dengan benar')
                    }

                },
                getMembers : function(){

                    const config = {
                        method : "get",
                        url : "http://demo-api-vue.sanbercloud.com/api/member"
                        
                        }

                            axios(config)
                            .then ( (response) => {
                                this.Members = response.data.member
                                this.getMembers()
                                })
                                .catch( (error)=> {
                                    console.log(error)
                                    })
                                                },
                                            },

                                            created(){
                                                this.getMembers()
                                            }
                                    })
     </script>   
</body>
</html>